{ pkgs, ... }@all: with all;
lib.mkIf (hyper.host == "NxXPS")
{
  home.packages = with pkgs; [
    libinput-gestures
  ];
  
  home.file.".config/libinput-gestures.conf".text = ''
    # Swipe threshold (0-100)
    swipe_threshold 0

    # Gestures
    gesture swipe right 3 ydotool key 158:1 158:0 # back
    gesture swipe left 3 ydotool key 159:1 159:0 # forward
  '';
}
